darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.Options.Matching

Description

Patch matching options.

These are all of the same type `MatchOption` defined below.

Multiple flags per option are allowed and do not raise a conflict error. This is how Darcs currently operates, even though I suspect that it ignores all but the first `MatchFlag` (since it does so for many other options).

Given a suitable semantics (and documentation thereof), for instance "all the given patterns must match", this could be turned into a useful feature.

Synopsis

- data MatchFlag
  - = OnePattern String
  - | SeveralPattern String
  - | AfterPattern String
  - | UpToPattern String
  - | OnePatch String
  - | OneHash String
  - | AfterHash String
  - | UpToHash String
  - | SeveralPatch String
  - | AfterPatch String
  - | UpToPatch String
  - | OneTag String
  - | AfterTag String
  - | UpToTag String
  - | LastN Int
  - | PatchIndexRange Int Int
  - | Context AbsolutePath
- matchUpToOne :: MatchOption
- matchOneContext :: MatchOption
- matchOneNontag :: MatchOption
- matchSeveral :: MatchOption
- matchSeveralOrFirst :: MatchOption
- matchSeveralOrLast :: MatchOption
- matchRange :: MatchOption
- matchSeveralOrRange :: MatchOption
- matchAny :: MatchOption

# Documentation

data MatchFlag #

Constructors

OnePattern String |
SeveralPattern String |
AfterPattern String |
UpToPattern String |
OnePatch String |
OneHash String |
AfterHash String |
UpToHash String |
SeveralPatch String |
AfterPatch String |
UpToPatch String |
OneTag String |
AfterTag String |
UpToTag String |
LastN Int |
PatchIndexRange Int Int |
Context AbsolutePath |

Instances

Show MatchFlag # |
Methods showsPrec :: Int -> MatchFlag -> ShowS # show :: MatchFlag -> String # showList :: [MatchFlag] -> ShowS #

matchUpToOne #

Arguments

:: MatchOption | show files/contents, dist, annotate

matchOneContext :: MatchOption #

Used by: clone

matchOneNontag :: MatchOption #

Used by: amend

matchSeveral :: MatchOption #

Used by: rebase pull, apply, send, push, pull, fetch

matchSeveralOrFirst :: MatchOption #

Used by: rebase unsuspend/reify

matchSeveralOrLast :: MatchOption #

Used by: unrecord, obliterate, rebase suspend, rollback

matchRange :: MatchOption #

Used by: diff

matchSeveralOrRange :: MatchOption #

Used by: log

matchAny :: MatchOption #